Package it.ernytech.tdlib

## Class TdApi.SetNetworkType

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SetNetworkType

Enclosing class:
  TdApi

    public static class TdApi.SetNetworkType
    extends TdApi.Function

Sets the current network type. Can be called before authorization. Calling this method forces all network connections to reopen, mitigating the delay in switching between different networks, so it should be called whenever the network is changed, even if the network type remains the same. Network type is used to check whether the library can use the network at all and also for collecting detailed network data usage statistics.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.NetworkType` `type` The new network type.

### Constructor Summary

Constructors
`SetNetworkType()` Default constructor.
`SetNetworkType​(TdApi.NetworkType type)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### type

    public TdApi.NetworkType type

The new network type. By default, networkTypeOther.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SetNetworkType

    public SetNetworkType()

Default constructor.

#### SetNetworkType

    public SetNetworkType​(TdApi.NetworkType type)

Constructor for initialization of all fields.

Parameters:
  `type` - The new network type. By default, networkTypeOther.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR